Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMainWindow.DockOption

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QMainWindow.DockOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMainWindow

    public static final class QMainWindow.DockOption

extends java.lang.Enum
implements QtEnumerator

This enum contains flags that specify the docking behavior of `QMainWindow`. These options only control how dock widgets may be dropped in a `QMainWindow`. They do not re-arrange the dock widgets to conform with the specified options. For this reason they should be set before any dock widgets are added to the main window. Exceptions to this are the `AnimatedDocks` and `VerticalTabs` options, which may be set at any time.

See Also:
  Serialized Form

Field Summary
`static QMainWindow.DockOption` | `AllowNestedDocks` Identical to the `dockNestingEnabled` property.
`static QMainWindow.DockOption` | `AllowTabbedDocks` The user can drop one dock widget "on top" of another.
`static QMainWindow.DockOption` | `AnimatedDocks` Identical to the `animated` property.
`static QMainWindow.DockOption` | `ForceTabbedDocks` Each dock area contains a single stack of tabbed dock widgets.
`static QMainWindow.DockOption` | `VerticalTabs` The two vertical dock areas on the sides of the main window show their tabs vertically.

Method Summary
`static QMainWindow.DockOptions` | `createQFlags(QMainWindow.DockOption[] values)` This function creates a com.trolltech.qt.gui.QMainWindow$DockOptions with the specified `com.trolltech.qt.gui.QMainWindow$DockOption[]` QMainWindow$DockOption values set.
`static QMainWindow.DockOption` | `resolve(int value)` Returns the QMainWindow$DockOption constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMainWindow.DockOption` | `valueOf(java.lang.String name)`
`static QMainWindow.DockOption[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AnimatedDocks

    public static final QMainWindow.DockOption AnimatedDocks

  Identical to the `animated` property.

### AllowNestedDocks

    public static final QMainWindow.DockOption AllowNestedDocks

  Identical to the `dockNestingEnabled` property.

### AllowTabbedDocks

    public static final QMainWindow.DockOption AllowTabbedDocks

  The user can drop one dock widget "on top" of another. The two widgets are stacked and a tab bar appears for selecting which one is visible.

### ForceTabbedDocks

    public static final QMainWindow.DockOption ForceTabbedDocks

  Each dock area contains a single stack of tabbed dock widgets. In other words, dock widgets cannot be placed next to each other in a dock area. If this option is set, `AllowNestedDocks` has no effect.

### VerticalTabs

    public static final QMainWindow.DockOption VerticalTabs

  The two vertical dock areas on the sides of the main window show their tabs vertically. If this option is not set, all dock areas show their tabs at the bottom. Implies `AllowTabbedDocks` .

Method Detail

### values

    public static QMainWindow.DockOption[] values()

### valueOf

    public static QMainWindow.DockOption valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QMainWindow.DockOptions createQFlags(QMainWindow.DockOption[] values)

  This function creates a com.trolltech.qt.gui.QMainWindow$DockOptions with the specified `com.trolltech.qt.gui.QMainWindow$DockOption[]` QMainWindow$DockOption values set.

### resolve

    public static QMainWindow.DockOption resolve(int value)

  Returns the QMainWindow$DockOption constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD